package org.sky.develop.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.sky.core.tool.constant.KdConstant;
import org.sky.develop.mapper.CodeMapper;
import org.sky.develop.pojo.entity.Code;
import org.sky.develop.service.ICodeService;
import org.springframework.stereotype.Service;

/**
 * 服务实现类
 *
 */
@Service
public class CodeServiceImpl extends ServiceImpl<CodeMapper, Code> implements ICodeService {

	@Override
	public boolean submit(Code code) {
		code.setIsDeleted(KdConstant.DB_NOT_DELETED);
		return saveOrUpdate(code);
	}
}
